/* 

   An Arexx script to detect when somebody is online.  To
   use this script, run QAmiTrack like this:
   
    QAmiTrack LOGONSCRIPT=detectlogon.rexx
   
*/

/* Set these to be the data of who you want to detect */
/* Note that capital/lower case differences count!!!  */
/* You will get notified if someone comes on line     */
/* who matches in at least one of the three data      */
/* types:  RealName, HostName, or UserName.           */

DetectRealName.0 = "Jeremy Friesner"
DetectHostName.0 = "chewils031.ucsd.edu"
DetectUserName.0 = "jaf"

DetectRealName.1 = "KnightOwl"
DetectHostName.1 = "something.somewhere.idontknow"
DetectUserName.1 = "pgba0078"

/* You can add other people to the list by copying the
   lines above, changing the index number on each line
   to the next number, then setting numUsers to be one
   more than the last index. */

numUsers = 2

/* get arguments passed from QAmiTrack */
parse arg arg1 "^" arg2 "^" arg3 "^" arg4 "^" arg5 "^" arg6

/* Look though our registered users to find if one matches */
do i=0 by 1 for numUsers
  detected = 0

  if (arg2 = DetectHostName.i) then detected = 1
  if (arg3 = DetectUserName.i) then detected = 1
  if (arg4 = DetectRealName.i) then detected = 1

  if (detected = 1) then do
    /* Uses the speech synthesizer here, but you could of
       course change this to put up a requester or play
       an sound effect or whatever */
    address COMMAND 'sys:utilities/say ' arg4 ' is now online!'
    end
end

